Bug 415129 - icon theme installed and applied via Discover is not highlighted
Summary: icon theme installed and applied via Discover is not highlighted
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_icons (show other bugs)
Version: unspecified
Platform: Neon Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-13 10:33 UTC by Patrick Silva
Modified: 2019-12-31 15:27 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.18.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2019-12-13 10:33:22 UTC
STEPS TO REPRODUCE
1. open Discover
2. search for "OieIcons" icon theme and open its description page
3. click on "Install" button in the upper right corner
4. when installation is completed, click on "Use" button in the upper right corner
5. open system settings > icons

OBSERVED RESULT
"OieIcons" icon theme is not highlighted

EXPECTED RESULT
"OieIcons" icon theme should be highlighted

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.17.80
KDE Frameworks Version: 5.65.0
Qt Version: 5.13.2
Comment 1 Nate Graham 2019-12-13 11:34:53 UTC
Confirmed.
Comment 2 Benjamin Port 2019-12-16 15:23:12 UTC
Discover set theme name as /theme-name instead of theme-name on ~/.config/kdeglobals
Comment 3 Nate Graham 2019-12-31 15:27:31 UTC
author	Benjamin Port <benjamin.port@enioka.com>	2019-12-21 12:21:05 +0100
committer	Benjamin Port <benjamin.port@enioka.com>	2019-12-31 09:27:56 +0100
commit	5b98466e5ddcc10dc8dc65e7733308423b877183 (patch)
tree	bfd1818b7f4cfe1d947f37ace4b5126ee164157a
parent	097ad69d5e8b0b15af5ae6659ca53b964428fae6 (diff)
KCM Icons: correctly highlight themes installed from Discover
BUG: 415129

Test Plan: Try installing using plasma-changeicons executable (used by discover) and from discover directly

Reviewers: #plasma, ngraham, apol

Subscribers: plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D26142